﻿<UserControl x:Class="LifenoteWPF.View.UcListObjectives"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:LifenoteWPF.View"
             mc:Ignorable="d" >
    <Viewbox>
        <Border BorderBrush="{DynamicResource AccentColorBrush2}" BorderThickness="2" CornerRadius="5" Background="{DynamicResource AccentColorBrush}" Margin="5">
        <Grid>
            <Grid.RowDefinitions>
                <RowDefinition Height="auto"/>
                <RowDefinition Height="auto"/>
            </Grid.RowDefinitions>
            <WrapPanel>
                <Label Grid.Row="0" Content=" OBJECTIVES   " FontSize="15" Background="Transparent" FontWeight="Bold" />
                <Label Width="10"/>
                <Button  Width="25" Height="25" Command="{Binding Path=NewCommandObjective}" Background="Transparent" BorderBrush="Transparent" >
                    <Image Source="/Images/addmark.png" Stretch="UniformToFill" Margin="-4"/>
                </Button>
            </WrapPanel>
                <DataGrid Grid.Row="1" Name="madatagridOBJ"  Width="600"
                  ItemsSource="{Binding ListObjectives}" AutoGenerateColumns="False" IsReadOnly="True" MouseDoubleClick="Selected_Objective"
                       SelectionMode="Single" SelectionUnit="FullRow" CanUserResizeColumns="False" CanUserReorderColumns="False"
                       CanUserAddRows="False" CanUserDeleteRows="False" CanUserResizeRows="False" CanUserSortColumns="True">
                <DataGrid.Columns>
                    <DataGridTextColumn Header="DaySTART" Binding="{Binding ListTask.DateOfList, StringFormat=\{0:ddd dd.MMM.yy\}}" Width="100" />
                    <DataGridTextColumn Header="DayEND" Binding="{Binding LimitDay, StringFormat=\{0:ddd dd.MMM.yy\}}" Width="100"/>
                    <DataGridTextColumn Header="DESCRIPTION" Binding="{Binding Description}" Width="*"/>
                </DataGrid.Columns>
            </DataGrid>
        </Grid>
    </Border>
    </Viewbox>
</UserControl>
